﻿Type=Class
Version=5.88
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Handler class
Sub Class_Globals
	Dim h As SK_Helper
	Dim f As SK_FontAwesomeIcon
End Sub

Public Sub Initialize
	h.Initialize
	f.Initialize
End Sub

Sub Handle(req As ServletRequest, resp As ServletResponse)
	Dim skc1 As SK_Column
	skc1.Initialize(12)
	skc1.AddHeader(2,"A dead simple, responsive boilerplate.")
	skc1.AddAnchorButton("Download",True,"https://github.com/dhg/Skeleton/releases/download/2.0.4/Skeleton-2.0.4.zip")
	
	Dim row1 As SK_Row
	row1.Initialize
	row1.Columns.Initialize
	row1.Columns.Add(skc1)
	
	Dim skc2a As SK_Column
	Dim skc2b As SK_Column
	Dim skc2c As SK_Column
	
	skc2a.Initialize(4)
	skc2b.Initialize(4)
	skc2c.Initialize(4)
	
	skc2a.AddImage("images/feather.svg","","","","",False)
	skc2a.AddContent("Light as a feather at ~400 lines & built with mobile in mind.")
	
	skc2b.AddImage("images/pens.svg","","","","",False)
	skc2b.AddContent("Styles designed to be a starting point, not a UI framework.")
	
	skc2c.AddImage("images/watch.svg","","","","",False)
	skc2c.AddContent("Quick to start with zero compiling or installing necessary.")
	
	Dim row2 As SK_Row
	row2.Initialize
	row2.Columns.Initialize
	row2.Columns.Add(skc2a)
	row2.Columns.Add(skc2b)
	row2.Columns.Add(skc2c)
	
	Dim c1 As SK_Container
	c1.Initialize
	c1.Align = "center"
	c1.MarginTop = 18
	c1.Rows.Initialize
	c1.Rows.Add(row1)

	Dim c2 As SK_Container
	c2.Initialize
	c2.Align = "center"
	c2.MarginTop = 3
	c2.Padding = 1
	c2.Rows.Initialize
	c2.Rows.Add(row2)
	
	'Demo stuff
	Dim col As SK_Column
	col.Initialize(12)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Alert")

	col.AddCode($"col.AddAlert("Title","Message","success")
col.AddAlert("Title","Message","info")
col.AddAlert("Title","Message","warning")
col.AddAlert("Title","Message","error")
	"$)

	col.AddAlert("Title","Message","success")
	col.AddAlert("Title","Message","info")
	col.AddAlert("Title","Message","warning")
	col.AddAlert("Title","Message","error")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Anchor (HTML &lt;a&gt; Tag)")
	col.AddCode($"col.AddContent("YeOldAnchor Anchor Below")
col.AddAnchor("YeOldAnchor")
col.AddContent("YeOldAnchor Anchor Above")"$)	
	col.AddContent("YeOldAnchor Anchor Below")
	col.AddAnchor("YeOldAnchor")
	col.AddContent("YeOldAnchor Anchor Above")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Anchor Button")
	col.AddCode($"col.AddAnchorButton("Anchor Button (jumps to YeOldAnchor)",True,"#YeOldAnchor")
col.AddBreak	
col.AddAnchorButton("Anchor Button (links to Google)",True,"http://google.com")	
	"$)
	col.AddAnchorButton("Anchor Button (jumps to YeOldAnchor)",True,"#YeOldAnchor")
	col.AddBreak
	col.AddAnchorButton("Anchor Button (links to Google)",True,"http://google.com")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Break (HTML Break)")
	col.AddCode($"col.AddContent("Theres a break below")
col.AddBreak
col.AddContent("Theres a break above")"$)
	col.AddContent("Theres a break below")
	col.AddBreak
	col.AddContent("Theres a break above")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Buttons")
	col.AddCode($"col.AddButton("Primary Button",True,"alert('Hello');")
col.AddBreak
col.AddButton("Secondary Button",False,"alert('Hello');")"$)
	col.AddButton("Primary Button",True,$"alert('Hello');"$)
	col.AddBreak
	col.AddButton("Secondary Button",False,$"alert('Hello');"$)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Code")
	col.AddCode($"col.AddCode("Private Sub Hello() as String")"$)
	col.AddCode($"Private Sub Hello() as String"$)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Content")
	col.AddCode($"col.AddContent("This is some normal content")"$)
	col.AddContent("This is some normal content")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Header")
	col.AddCode($"col.AddHeader(1,"Header 1")
col.AddHeader(2,"Header 2")
col.AddHeader(3,"Header 3")
col.AddHeader(4,"Header 4")
col.AddHeader(5,"Header 5")
	"$)
	
	col.AddHeader(1,"Header 1")
	col.AddHeader(2,"Header 2")
	col.AddHeader(3,"Header 3")
	col.AddHeader(4,"Header 4")
	col.AddHeader(5,"Header 5")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"HTML")
	col.AddCode($"col.AddHTML("&lt;h4&gt;Add HTML directly&lt;/h4&gt;")"$)
	col.AddHTML("<h4>Add HTML directly</h4>")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Image")
	col.AddCode($"col.AddImage("https://www.b4x.com/basic4android/images/SS-2015-06-02_18.00.38.png")"$)
	col.AddImage("https://www.b4x.com/basic4android/images/SS-2015-06-02_18.00.38.png","250","","","",False)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input Button (Forms)")
	col.AddCode($"col.AddInputButton("Input Button (Submit)",True,True)
col.AddBreak
col.AddInputButton("Input Button (Not SUbmit)",True,False)
	"$)
	col.AddInputButton("Input Button (Submit)",True,True,"submit")
	col.AddBreak
	col.AddInputButton("Input Button (Not Submit)",True,False,"not_submit")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input Checkbox (Forms)")
	col.AddCode($"col.AddLabel("Checked","Checkbox1")
col.AddInputCheckbox(True,"Checkbox1")
col.AddBreak
col.AddLabel("Unchecked","Checkbox2")
col.AddInputCheckbox(False,"Checkbox2")"$)
	
	col.AddLabel("Checked","Checkbox1")
	col.AddInputCheckbox(True,"Checkbox1")
	col.AddBreak
	col.AddLabel("Unchecked","Checkbox2")
	col.AddInputCheckbox(False,"Checkbox2")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input Hidden (Forms)")
	col.AddCode($"col.AddContent("Theres a hidden input value below")
col.AddInputHidden("Hidden","Value that no one sees")
col.AddContent("Theres a hidden input value above")"$)
	
	col.AddContent("Theres a hidden input value below")
	col.AddInputHidden("Hidden","Value that no one sees")
	col.AddContent("Theres a hidden input value above")
	
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input List (Forms)")
	
	col.AddCode($"Dim L As List
L.Initialize
L.Add("Item 1")
L.Add("Item 2") 'This will be selected (initially)
L.Add("Item 3")	
col.AddInputList(L,"MyList","Item 2",True)"$)
	
	Dim L As List
	L.Initialize
	L.Add("Item 1")
	L.Add("Item 2") 'This will be selected (initially)
	L.Add("Item 3")
	col.AddInputList(L,"MyList","Item 2",True)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input Text (Forms)")
	col.AddCode($"col.AddInputText("Number","MyText","number","")
col.AddInputText("Text","MyText","text","")
col.AddInputText("Password","MyText","password","")"$)
	col.AddInputText("Number","MyText","number","")
	col.AddInputText("Text","MyText","text","")
	col.AddInputText("Password","MyText","password","")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Input Text Area (Forms)")
	col.AddCode($"col.AddInputTextArea("Some really long text can go here","LongText","text","")"$)
	col.AddInputTextArea("Some really long text can go here","LongText","text","")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Label")
	col.AddCode($"col.AddLabel("This is a Label","MyLabel")"$)
	col.AddLabel("This is a Label","MyLabel")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Link (Hyperlink)")
	col.AddCode($"col.AddLink("Click Me!","http://google.com")"$)
	col.AddLink("Click Me!","http://google.com")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"List")
	col.AddCode($"Dim L As List
L.Initialize
L.Add("Item 1")
L.Add("Item 2")
L.Add("Item 3")

col.AddContent("Normal List")
col.AddList(L,False)
col.AddContent("Ordered List")
col.AddList(L,True)"$)
	col.AddContent("Normal List")
	col.AddList(L,False)
	col.AddContent("Ordered List")
	col.AddList(L,True)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Named Div")
	col.AddCode($"col.AddContent("Theres a named div below")
col.AddNamedDiv("MyDiv")
col.AddContent("Theres a named div above")"$)
	
	col.AddContent("Theres a named div below")
	col.AddNamedDiv("MyDiv")
	col.AddContent("Theres a named div above")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Named Div With Content")
	col.AddCode($"col.AddNamedDivWithContent("MyDiv","background-color:red","My Div")"$)
	col.AddNamedDivWithContent("MyDiv","background-color:red","My Div")
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Table")
	
	col.AddCode($"Dim skTable As SK_Table
skTable.Initialize

Dim Header As List = Array("Name", "Age", "Location", "Country")
Dim row01 As List = Array("Dave Gamache", "26", "San Francisco", "USA")
Dim row02 As List = Array("Dwayne Johnson", "42", "Hayward", "USA")

skTable.Header = Header

skTable.Rows.Initialize
skTable.Rows.Add(row01)
skTable.Rows.Add(row02)

col.AddTable(skTable)"$)
	
	Dim skTable As SK_Table
	skTable.Initialize
	
	Dim Header As List = Array("Name", "Age", "Location", "Country")
	Dim row01 As List = Array("Dave Gamache", "26", "San Francisco", "USA")
	Dim row02 As List = Array("Dwayne Johnson", "42", "Hayward", "USA")
	
	skTable.Header = Header
	
	skTable.Rows.Initialize
	skTable.Rows.Add(row01)
	skTable.Rows.Add(row02)
	
	col.AddTable(skTable)
	
	Dim row3 As SK_Row
	row3.Initialize
	row3.Columns.Initialize
	row3.Columns.Add(col)
	
	Dim c3 As SK_Container
	c3.Initialize
	c3.Align = "left"
	c3.Padding = 3
	c3.Rows.Initialize
	c3.Rows.Add(row3)
	
	Dim S As SkeletonPage
	S.Initialize
	S.Title = "Skeleton Demo"
	S.AddContainer(c1)
	S.AddContainer(c2)
	S.AddContainer(c3)
	resp.Write(S.Render)
End Sub